Part Prism

From FreeCAD Documentation
Revision as of 09:19, 2 March 2022 by Roy 043 (talk | contribs) (Revising...)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Prism

Menu location
Part → Create primitives → Prism
Workbenches
Part
Default shortcut
None
Introduced in version
0.14
See also
Part Primitives

Description

A Part Prism is a parametric solid that can be created with the Part Primitives command. It is the result of extruding a regular polygon along a straight path. In the coordinate system defined by its DataPlacement property, the bottom face of the prism lies on the XY plane with its center at the origin and one of its vertices on the X axis.

Usage

See Part Primitives.

Example

Part Prism from the scripting example

A Part Prism object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Prism

  • DataPolygon (Integer): The number of edges for the polygon that forms the base and top plane of the prism.
  • DataCircumradius (Length): The distance from the center of the polygon to the prism edges.
  • DataHeight (Length): The height is the distance in the z-axis.
  • DataFirst Angle (Angle): Angle in first direction. introduced in version 0.19
  • DataSecond Angle (Angle): Angle in second direction. introduced in version 0.19

Scripting

A Part Prism is created with the addObject() method of the document.

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where myPrism is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

prism.Label = "new myPrismName"

You can access and modify attributes of the prism object. For example, you may wish to modify the number of sides of the base polygon, the circumferential radius or one of the two angles.

prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45

The result will be a new prism with the given attributes.

You can change its placement and orientation with:

prism.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(60, 75, 30))